%define req_gnomedesktop_version 2.1.4
%define req_libwnck_version 2.1.5
%define api_version 2
%define lib_major   0
%define lib_name libpanel-applet

# Regenerate configure script so that we get an updated libtool.m4
%define regenerate_configure 0
%ifarch x86_64 mips
%define regenerate_configure 1
%endif

Summary:		The core programs for the GNOME GUI desktop environment.
Name:           gnome-panel
Version:        2.2.0.1
Release:        6mdk
License:        GPL/LGPL
Group:          Graphical desktop/GNOME
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.2/%{name}-%{version}.tar.bz2
# menu methods
Source1:		gnome.menumethod.bz2
Source2:		gnome-simplified.menumethod.bz2
Source3:		gnome-panel-per-panel-config-battstat.schemas.bz2
# (fc) 2.0.1-2mdk  use xlock instead of xscreensaver to lock root desktop
Patch0:			gnome-panel-2.1.2-rootlock.patch.bz2
# (fc) 2.0.1-2mdk  Mandrake customization
Patch1:			gnome-panel-2.1.90-mdkcustomizations.patch.bz2
# (fc) 2.0.2-1mdk enable clock modification using clock.pl (Rawhide)
Patch3:			gnome-panel-2.2.0-clock-addons.patch.bz2
# (fc) 2.2.0.1-3mdk fix for 64bits platform (rawhide)
Patch4:			gnome-panel-2.1.90.1-null.patch.bz2
# (fc) 2.2.0.1-3mdk fix notification area crash (Mdk bug 1578) (rawhide)
Patch5:			gnome-panel-2.2.0.1-notification-area-fix.patch.bz2
# (fc) 2.2.0.1-4mdk don't connect applet to SM (bug #106650) (rawhide)
Patch6:			gnome-panel-2.2.0.1-applet-sm.patch.bz2
# (fc) 2.2.0.1-4mdk fix memleaks (bugs #105148, #106355 and Mdk bug 616) (rawhide)
Patch7:			gnome-panel-2.2.0.1-memleaks.patch.bz2
# (fc) 2.2.0.1-5mdk various cvs fixes (Mdk bug 2397) (CVS)
Patch8:			gnome-panel-2.2.0.1-cvsfixes.patch.bz2


BuildRoot:      %{_tmppath}/%{name}-%{version}-root
URL:            http://www.gnome.org
BuildRequires:  gnome-desktop-devel >= %{req_gnomedesktop_version}
BuildRequires:  libglade2.0-devel
BuildRequires:  libwnck-devel >= %{req_libwnck_version}
BuildRequires:  libpng-devel
BuildRequires:  scrollkeeper
BuildRequires:  gtk+2-devel >= 2.1.0
BuildRequires:  libgnomeui2_0-devel >= 2.1.0
%if %{regenerate_configure}
BuildRequires:	gnome-common
%endif
PreReq:         scrollkeeper >= 0.3
Requires:       gnome-session
Requires:       gnome-desktop >= %{req_gnomedesktop_version}
Requires:	libwnck-1_4 >= %{req_libwnck_version}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software. 

The GNOME panel packages provides the gnome panel, menu's and some
basic applets for the panel.

%package -n %{lib_name}-%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}

Provides:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name}-%{api_version} = %{version}-%{release}

%description -n %{lib_name}-%{api_version}_%{lib_major}
Panel libraries for running GNOME panels.

%package -n %{lib_name}-%{api_version}_%{lib_major}-devel
Summary:	Static libraries, include files for GNOME panel
Group:		Development/GNOME and GTK+
Provides:   %{name}-devel = %{version}-%{release}
Provides:	%{lib_name}-devel = %{version}-%{release}
Provides:	%{lib_name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name}-%{api_version}_%{lib_major} = %{version}
Requires:   libwnck-devel >= %{req_libwnck_version}
Requires:   gnome-desktop-devel >= %{req_gnomedesktop_version}

%description -n %{lib_name}-%{api_version}_%{lib_major}-devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
%patch0 -p1 -b .rootlock
%patch1 -p1 -b .mdkcustomizations
%patch3 -p1 -b .clock
%patch4 -p1 -b .64bits
%patch5 -p1 -b .areacrash
%patch6 -p1 -b .appletsm
%patch7 -p1 -b .memleaks
%patch8 -p1 -b .cvsfixes

%if %{regenerate_configure}
  libtoolize --copy --force
  aclocal -I /usr/share/aclocal/gnome2-macros
  autoconf
%endif

%build
%configure2_5x

# parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# create copy of schemas with battstat listed
cd $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/ 
mv panel-per-panel-config.schemas panel-per-panel-config-nolaptop.schemas 
cp panel-per-panel-config-nolaptop.schemas panel-per-panel-config-laptop.schemas 
perl -pi -e 's/show_desktop_button,tray_applet/show_desktop_button,battstat_applet,tray_applet/g' panel-per-panel-config-laptop.schemas
cd -

# install battstat schemas
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config-battstat.schemas

touch $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas



%find_lang %name-2.0 --with-gnome --all-name

# Menu support
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/simplified
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/gnome/{Mandrake-simplified,Mandrake}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/gnome
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/simplified/gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="gnome" \
	section="Configuration/GNOME/Advanced" \
	title="Panel" \
	longtitle="Select preferences for all your panels" \
	command="%{_bindir}/gnome-panel-preferences" \
	icon="gnome-panel.png" \
	startup_notify="true"
EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome-panelrc


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}-%{api_version}_%{lib_major}

%post
apm=false
if [ -f /proc/apm ]; then
  mins=`cat /proc/apm|awk '{ print $8 }'`
  if [ "$mins" != "-1" ]; then
    apm=true
  fi
fi

if [ "$apm" = "false" ]; then
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-nolaptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
else
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-laptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi


if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel > /dev/null 2> /dev/null

for SCHEMA in clock fish mailcheck pager panel-global-config panel-per-panel-config tasklist  panel-per-panel-config-battstat; do
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
%{update_menus}

%postun -p /sbin/ldconfig -n %{lib_name}-%{api_version}_%{lib_major}

%postun
if [ "$1" = "0" ]; then
  rm -f %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %name-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gconf/schemas/clock.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/fish.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-panel-screenshot.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/mailcheck.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/pager.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/panel-global-config.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/panel-per-panel-config-laptop.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/panel-per-panel-config-nolaptop.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/panel-per-panel-config-battstat.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/tasklist.schemas
%ghost %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas

%config(noreplace) %{_sysconfdir}/sound/events/*
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/menu-methods/gnome
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/menu-methods/simplified/gnome
%{_localstatedir}/gnome
%{_bindir}/*
%{_libexecdir}/fish-applet-2
%{_mandir}/man1/*
%{_libdir}/bonobo/servers/*
%{_datadir}/gen_util
%{_datadir}/fish
%dir %{_datadir}/gnome
%{_datadir}/control-center-2.0/capplets
%dir %{_datadir}/gnome/help
%{_libexecdir}/notification-area-applet
%{_datadir}/gnome/panel
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-panel
%{_datadir}/idl/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_menudir}/*

%files -n %{lib_name}-%{api_version}_%{lib_major}
%defattr (-, root, root)
%{_libdir}/*.so.*
# this library is dynamically loaded by bonobo-activation as a Genutil factory server
%{_libdir}/libgen_util_applet-2.so

%files -n %{lib_name}-%{api_version}_%{lib_major}-devel
%defattr (-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/libpanel*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Mar 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-6mdk
- Update patch 1 to fix Mdk bug 3279

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-5mdk
- Update patch 1 to partially fix Mdk bug 3205
- Patch8 (CVS): various CVS fixes, including for Mdk bug 2397

* Mon Feb 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-4mdk
- Patch6 (rawhide): don't connect applet to SM (bug #106650)
- Patch7 (rawhide): fix memleaks (bugs #105148, #106355 and Mdk bug 616)
- Update patch 1 for new panel layout

* Sat Feb 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-3mdk
- Patch 4 (rawhide): fix for 64bits platform
- Patch 5 (rawhide) : fix notification area crash (Mdk bug 1578)

* Fri Feb 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0.1-2mdk
- rebuild to fix korean l10n

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Update patch3 to merge latest rawhide fixes

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90.1-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90.1-1mdk
- Release 2.1.90.1
- Regenerate patch1

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90
- Regenerate patches 1 & 3

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest glibc

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Regenerate patch 1
- Remove patch4 (merged upstream)

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-4mdk
- Enforce libwnck dependency

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-3mdk
- Patch2 (CVS): fix panel drawing when using autohide (bug 100401)

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Update menu method to support startup-notify

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4 (partly fix bug #616)

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Regenerate patch 1 to use new oafid for notification tray

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove system tray (now merged upstream)
- Remove patches 4, 5, 6, 7 (merged upstream)
- Regenerate patches 0, 3

* Sat Nov 16 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-4mdk
- BuildRequires

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-3mdk
- System tray 0.15
- Update patch1 to add a system tray to default configuration

* Mon Nov 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-2mdk
- Regenerate configure script with updated libtool.m4

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-1mdk
- Release 2.0.9
- Regenerate patches 0, 1 & 6

* Thu Oct  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-5mdk
- Update patch 6 to fix bug 84744 (switched entries in drawer)

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Obsoletes/provides gnome-core have moved to gnome2 package to ease upgrade

* Mon Sep  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch6 (CVS): fix drawer filling (bug 90598)
- Patch7 (Rawhide): fix kitty cat bug aka hold down print screen key for a long time
  (RH bug #71432)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Regenerate patch 3 to add more default launchers
- Add battery applet for laptops (based on rawhide)
- Remove patch4 (merged upstream)
- Patch4 (rawhide): fix various memleaks
- Patch5 (rawhide): fix clock format for US
- Systrem Tray 0.11

* Tue Aug 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Disable parallel compilation (broken)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Systrem tray 0.9

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-3mdk
- Don't requires gnome-panel to build gnome-panel (Jeff)

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Add missing files for fish applet (thanks to Thierry Saura)

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Update patch 1 to disable Mixer applet by default
- Remove patches 2 & 4 (merged upstream)
- Update patch3 to disable seconds and date by default in clock
- System tray 0.5

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Menu entry is back

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Patch4: Fix dragging .desktop on panel which are not converted into launcher

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Fix BuildRequires (Bertrand Dekoninck)
- Fix files missing for system_tray applet (Goetz Waschk)

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2
- Regenerate patches 0 & 1
- Add system_tray applet (only work with applications
  following Freekdesktop System Tray protocol)
- Patch2 (rawhide): fixes from system-tray-applet (use correct class and fix .server file)
- Patch3 (rawhide): enable clock modification using clock.pl

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: use xlock instead of xscreensaver for root desktop locking
- Patch1: enable Mandrake customizations (menu support..)

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patch0 (merged upstream)

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Patch0: fix broken translation

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.24-2mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.24-1mdk
- Release 1.5.24

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.21-1mdk
- Release 1.5.21

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.20-1mdk
- Release 1.5.20

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17
- Remove patch0 (merged upstream)

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-2mdk
- Quiet scrollkeeper
- Patch0 (CVS): fix mailcheck documentation error (Thanks to Abel Cheung)

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16
- Fix schemas registration
- Move libgen_util_applet-2.so to main library package (needed for Genutil 
  Factory server)

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- First Mdk package
- Patch0 (CVS): fix .desktop loading

* Tue Mar 12 2002 <glynn.foster@sun.com>
- fix up gconf schema install

* Mon Mar  4 2002  <gleblanc@linuxweasel.com>
- made into a proper .spec.in, using the magic version numbers and such

* Mon Feb 18 2002  <gleblanc@linuxweasel.com>
- flagged man pages as documentation

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 
- remove extra tab from header
- added defattr to devel package
- moved defattr to make sure that it owns the random package docs
- moved the idl files into the main package, as when perl bindings arrive, they'll want to use them at run-time
- made it not own the omf dir
- moved the line for the GNOME help stuff back into the section with the rest of the regular files
- changed name of find_lang's output file
- removed some whitespace from the install section
- removed some tabs from the devel package headers
- make release number funky, so that people know it's a snapshot
- use auto* version
- group all BuildRequires together

* Fri Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file
- cleaned up header
- moved gnome/help to doc section

